/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package integration.jboss;

/**
 *
 * @author vvivien
 */
public interface JBossSpringAdapterMBean {

    void create();

    void destroy();

    long getErrorCount();

    long getSpringComponentCount();

    String[] getSpringComponents();

    String getSpringConfigPath();

    boolean isSpringLoaded();

    boolean isStarted();

    void setSpringConfigPath(String path);

    void start() throws Exception;

    void stop();

}
